CMSIS-DSP: utils.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
utils.h File Reference

## Macros

#define | INDEX_MASK
| Macros required for reciprocal calculation in Normalized LMS. More...
#define | SQ(x)
#define | ROUND_UP(N, S)

## Functions

__STATIC_FORCEINLINE uint32_t | arm_recip_q31 (q31_t in, q31_t *dst, const q31_t *pRecipTable)
| Function to Calculates 1/in (reciprocal) value of Q31 Data type. It should not be used with negative values. More...
__STATIC_FORCEINLINE uint32_t | arm_recip_q15 (q15_t in, q15_t *dst, const q15_t *pRecipTable)
| Function to Calculates 1/in (reciprocal) value of Q15 Data type. It should not be used with negative values. More...
__STATIC_INLINE void | arm_norm_64_to_32u (uint64_t in, int32_t *normalized, int32_t *norm)
| 64-bit to 32-bit unsigned normalization More...
__STATIC_INLINE int32_t | arm_div_int64_to_int32 (int64_t num, int32_t den)

## Macro Definition Documentation

#define INDEX_MASK

#define ROUND_UP | ( |  | N,
|  |  | S
| ) |  |

#define SQ | ( |  | x | ) |

## Function Documentation

__STATIC_INLINE int32_t arm_div_int64_to_int32 | ( | int64_t | num,
|  | int32_t | den
| ) |  |

__STATIC_INLINE void arm_norm_64_to_32u | ( | uint64_t | in,
|  | int32_t * | normalized,
|  | int32_t * | norm
| ) |  |

Parameters

  [in] | in | is input unsigned long long value
  [out] | normalized | is the 32-bit normalized value
  [out] | norm | is norm scale

__STATIC_FORCEINLINE uint32_t arm_recip_q15 | ( | q15_t | in,
|  | q15_t * | dst,
|  | const q15_t * | pRecipTable
| ) |  |

__STATIC_FORCEINLINE uint32_t arm_recip_q31 | ( | q31_t | in,
|  | q31_t * | dst,
|  | const q31_t * | pRecipTable
| ) |  |